Subject: RE: DNS IANA Considerations, draft-eastlake-dnsext-2929bis-00.txt

From: Edward Lewis <[email-masked]>
Date: Thu, 7 Jul 2005 09:41:54 -0400

At 0:35 -0400 7/7/05, Eastlake III Donald-LDE008 wrote:

>I think our discussion is headed off into a philosophical direction in areas
>where we seem to disagree. But, I don't think resolving all these questions
>is necessary to come to some consensus on what should be in 2929bis.

The questions for the document are:

Can we allow coders to burn a number into code early in the 
development cycle and then lock that same number into the registry 
after review?

What is the review?  Who does it, what is looked at, how is it make 
public (so no other coders pick the same number)?

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                                +1-571-434-5468
NeuStar

If you knew what I was thinking, you'd understand what I was saying.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: "william(at)elan.net" <[email-masked]>
Date: Thu, 7 Jul 2005 07:17:40 -0700 (PDT)

On Thu, 7 Jul 2005, Edward Lewis wrote:

> Can we allow coders to burn a number into code early in the development cycle 
> and then lock that same number into the registry after review?

Not for internal testing within one organization. But if they want their
code used in experimental way by multiple parties on the internet than
they should be allowed to do it.

And note that experimental should not mean published experimental RFC
but I think we should at least expect internet draft or some other 
similar type document publicly available.

> What is the review?  Who does it, what is looked at, how is it make public 
> (so no other coders pick the same number)?

One way is to require them to register the number in provisional way
(with very quick - within 30 days registration by IANA for very limited
period), but provisional registration would be very brief, something
like 6-12 months and continuing provisional registration longer then
that could require technical review (which IANA can designate and
would expect to be either namedroppers or if this WG is closed then
some other appropriate WG or maybe directorate within IETF).

BTW - These are all just some idea to though in for discussion...

-- 
William Leibzon
Elan Networks
[email-masked]